#ifndef LIP_PTP_DEFS_H
#define LIP_PTP_DEFS_H

#include <stdint.h>

/** Тип для представления разницы между метками времени в дробных долях нс (1/2^16).
 *  Диапазон разницы составляет приблизительно от -39 ч до + 39 ч */
typedef int64_t t_lip_fns;

/** Полная метка времени */
typedef struct {
    uint32_t sec; /**< Количество секунд (младшие 32-бит) */
    int32_t ns;   /**< Количество нс (0..999999999) */
    uint16_t fract_ns; /**< Дробная доля нс в 1/2^16 нс */
    uint16_t hsec;  /**< Количество секунд (старшие 16-бит, как правило равны 0 в обозримом будещем) */
} t_lip_ptp_tstmp;




#endif // LIP_PTP_DEFS_H
